Bug 65208 - Switch RenderStyle to to new layout types
Summary: Switch RenderStyle to to new layout types
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Emil A Eklund
URL:
Keywords:
Depends on:
Blocks: 63567
  Show dependency treegraph
 
Reported: 2011-07-26 14:30 PDT by Emil A Eklund
Modified: 2011-08-08 13:49 PDT (History)
3 users (show)

See Also:


Attachments
Patch (9.30 KB, patch)
2011-07-26 14:46 PDT, Emil A Eklund
no flags Details | Formatted Diff | Diff
Patch (9.30 KB, patch)
2011-07-27 15:40 PDT, Emil A Eklund
no flags Details | Formatted Diff | Diff
Patch for landing (10.77 KB, patch)
2011-08-08 13:09 PDT, Emil A Eklund
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Emil A Eklund 2011-07-26 14:30:31 PDT
Convert RenderStyle to new layout abstraction.
Comment 1 Emil A Eklund 2011-07-26 14:46:49 PDT
Created attachment 102055 [details]
Patch
Comment 2 Emil A Eklund 2011-07-27 15:40:40 PDT
Created attachment 102199 [details]
Patch
Comment 3 Eric Seidel (no email) 2011-08-08 09:34:02 PDT
Comment on attachment 102199 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=102199&action=review

Seems reasonable.

> Source/WebCore/rendering/style/RenderStyle.cpp:798
> +static RoundedRect::Radii calcRadiiFor(const BorderData& border, LayoutUnit width, LayoutUnit height)

Should this be a layoutsize/layoutpoint?
Comment 4 Emil A Eklund 2011-08-08 13:09:38 PDT
Created attachment 103280 [details]
Patch for landing
Comment 5 WebKit Review Bot 2011-08-08 13:49:47 PDT
Comment on attachment 103280 [details]
Patch for landing

Clearing flags on attachment: 103280

Committed r92631: <http://trac.webkit.org/changeset/92631>
Comment 6 WebKit Review Bot 2011-08-08 13:49:52 PDT
All reviewed patches have been landed.  Closing bug.